class CashierTerminal < ApplicationRecord
	has_many :cashier_terminal_by_zones
	has_many :zones, through: :cashier_terminal_by_zones
	has_one :current_shift, -> { where.not(shift_started_at: nil).where(shift_closed_at: nil) }, class_name: "ShiftSale"

	scope :available, -> {where(is_currently_login: false)}
	scope :is_active, -> {where(is_active: true)}

  	# validations
 	validates_presence_of :name, :printer_name
end
